<template>
  <v-container>
    <v-row>
      <v-col>
        <v-card elevation="1">
          <v-toolbar density="compact" color="#072AC8">
            <v-spacer />
            <v-btn
              icon
              @click="router.replace({ name: 'pokedex' })"
              elevation="0"
            >
              <v-icon>mdi-home</v-icon>
            </v-btn>
          </v-toolbar>
          <v-card-text>
            <v-row>
              <v-col cols="4">
                <v-img :src="oPokemon.details?.sprites?.other?.home?.front_default" />
              </v-col>
              <v-col cols="8">
                <div class="mb-3">
                  <h2 class="mb-5">Estadísticas</h2>
                  <div
                    v-for="(item, index) in oPokemon?.details?.stats"
                    :key="index"
                    class="mb-4"
                  >
                  <span>{{ item.stat.name }}</span>
                    <v-progress-linear
                      :model-value="item.base_stat"
                      color="light-blue"
                      height="10"
                      striped
                    >
                      <template v-slot:default="{ value }">
                        <strong :style="{ color: '#595F65'}">{{ Math.ceil(value) }}%</strong>
                      </template>
                    </v-progress-linear>
                  </div>
                </div>
                <div>
                    <h2>Sprites</h2>
                    <div class="d-flex mt-5">
                        <img :src="oPokemon.details?.sprites?.other?.showdown?.back_default" width="120"/>
                        <img :src="oPokemon.details?.sprites?.other?.showdown?.front_default" width="120"/>
                    </div>
                </div>
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>
<script setup>
import { storeToRefs } from "pinia";
import { PokemonStore } from "@/store/str_pokemon";
import { useRouter } from "vue-router";

const router = useRouter();
const { oPokemon } = storeToRefs(PokemonStore());
</script>